import 'dart:convert';

ValidatedAccessRes validatedAccessResFromJson(String str) =>
    ValidatedAccessRes.fromJson(json.decode(str));

String validatedAccessResToJson(ValidatedAccessRes data) =>
    json.encode(data.toJson());

class ValidatedAccessRes {
  ValidatedAccessRes({
    required this.data,
    required this.meta,
  });

  Data? data;
  Meta? meta;

  factory ValidatedAccessRes.fromJson(Map<String, dynamic> json) =>
      ValidatedAccessRes(
        data: Data.fromJson(json["data"]),
        meta: Meta.fromJson(json["meta"]),
      );

  Map<String, dynamic> toJson() => {
        "data": data?.toJson(),
        "meta": meta?.toJson(),
      };
}

class Data {
  Data({
    required this.amount,
    required this.complete,
    required this.createdAt,
    required this.externalTxnIdentifier,
    required this.extraFields,
    required this.id,
    required this.moruTxnIdentifier,
    required this.sourceType,
    required this.state,
  });

  int? amount;
  bool? complete;
  DateTime? createdAt;
  String? externalTxnIdentifier;
  ExtraFields? extraFields;
  int? id;
  String? moruTxnIdentifier;
  String? sourceType;
  String? state;

  factory Data.fromJson(Map<String, dynamic> json) => Data(
        amount: json["amount"],
        complete: json["complete"],
        createdAt: DateTime.parse(json["created_at"]),
        externalTxnIdentifier: json["external_txn_identifier"],
        extraFields: ExtraFields.fromJson(json["extra_fields"]),
        id: json["id"],
        moruTxnIdentifier: json["moru_txn_identifier"],
        sourceType: json["source_type"],
        state: json["state"],
      );

  Map<String, dynamic> toJson() => {
        "amount": amount,
        "complete": complete,
        "created_at": createdAt?.toIso8601String(),
        "external_txn_identifier": externalTxnIdentifier,
        "extra_fields": extraFields?.toJson(),
        "id": id,
        "moru_txn_identifier": moruTxnIdentifier,
        "source_type": sourceType,
        "state": state,
      };
}

class ExtraFields {
  ExtraFields({
    required this.item,
  });

  String? item;

  factory ExtraFields.fromJson(Map<String, dynamic> json) => ExtraFields(
        item: json["item"],
      );

  Map<String, dynamic> toJson() => {
        "item": item,
      };
}

class Meta {
  Meta();

  factory Meta.fromJson(Map<String, dynamic> json) => Meta();

  Map<String, dynamic> toJson() => {};
}
