import 'dart:convert';

ValidatedUserRes validatedUserResFromJson(String str) =>
    ValidatedUserRes.fromJson(json.decode(str));

String validatedUserResToJson(ValidatedUserRes data) =>
    json.encode(data.toJson());

class ValidatedUserRes {
  ValidatedUserRes({
    required this.data,
    required this.meta,
  });

  Data? data;
  Meta? meta;

  factory ValidatedUserRes.fromJson(Map<String, dynamic> json) =>
      ValidatedUserRes(
        data: Data.fromJson(json["data"]),
        meta: Meta.fromJson(json["meta"]),
      );

  Map<String, dynamic> toJson() => {
        "data": data?.toJson(),
        "meta": meta?.toJson(),
      };
}

class Data {
  Data({
    required this.message,
    required this.moruTxnIdentifier,
    required this.otp,
  });

  String? message;
  String? moruTxnIdentifier;
  String? otp;

  factory Data.fromJson(Map<String, dynamic> json) => Data(
        message: json["message"],
        moruTxnIdentifier: json["moru_txn_identifier"],
        otp: json["otp"],
      );

  Map<String, dynamic> toJson() => {
        "message": message,
        "moru_txn_identifier": moruTxnIdentifier,
        "otp": otp,
      };
}

class Meta {
  Meta();

  factory Meta.fromJson(Map<String, dynamic> json) => Meta();

  Map<String, dynamic> toJson() => {};
}
