import 'package:bloc/bloc.dart';
import 'package:flutter/cupertino.dart';
import 'package:moru_payment_gateway/dto/request/access_validate.dart';
import 'package:moru_payment_gateway/dto/response/validated_access_res.dart';
import 'package:moru_payment_gateway/exception/payment_exception.dart';
import 'package:moru_payment_gateway/main.dart';
import 'package:moru_payment_gateway/repository/payment_impl.dart';
part 'validate_access_key_state.dart';

class ValidateAccessKeyCubit extends Cubit<ValidateAccessKeyState> {
  ValidateAccessKeyCubit() : super(ValidateAccessKeyInitial());

  void validatedAccessKey({required AccessValidate accessValidate}) async {
    try {
      final ValidatedAccessRes accessRes =
          await getIt<PaymentImpl>().validateAccess(clientData: accessValidate);
      emit(ValidateAccessSuccess(accessRes: accessRes));
    } on PaymentException catch (_) {
      switch (PaymentException) {
        case BadRequest:
          emit(ValidateAccessFail(failedReason: _.failureMessage));
          break;
        case InvalidGatewayUser:
          emit(ValidateAccessFail(failedReason: _.failureMessage));
          break;
        case UnauthorizedException:
          emit(ValidateAccessFail(failedReason: _.failureMessage));
      }
    } catch (_) {
      emit(ValidateAccessFail(failedReason: "Unable to process your request"));
    }
  }
}
