import 'package:bloc/bloc.dart';
import 'package:meta/meta.dart';
import 'package:moru_payment_gateway/dto/request/pay_data.dart';
import 'package:moru_payment_gateway/exception/payment_exception.dart';
import 'package:moru_payment_gateway/main.dart';
import 'package:moru_payment_gateway/repository/payment_impl.dart';

part 'initiate_pay_state.dart';

class InitiatePayCubit extends Cubit<InitiatePayState> {
  InitiatePayCubit() : super(InitiatePayInitial());

  void initiatePay({required PayData payData}) async {
    try {
      final paySuccess =
          await getIt<PaymentImpl>().initiatePay(payData: payData);
      emit(PaySuccess());
    } on PaymentException catch (_) {
      switch (PaymentException) {
        case BadRequest:
          emit(PayFail());
          break;
        case InvalidGatewayUser:
          emit(PayFail());
          break;
        case UnauthorizedException:
          emit(PayFail());
      }
    } catch (_) {
      emit(PayFail());
    }
  }
}
