import 'package:moru_payment_gateway/dto/request/access_validate.dart';
import 'package:moru_payment_gateway/dto/request/user_validate.dart';
import 'package:moru_payment_gateway/dto/request/pay_data.dart';
import 'package:moru_payment_gateway/dto/response/validated_access_res.dart';
import 'package:moru_payment_gateway/dto/response/validated_user_res.dart';
import 'package:moru_payment_gateway/repository/payment_contracts.dart';
import 'package:moru_payment_gateway/repository/payment_handler.dart';

class PaymentImpl implements PaymentContracts {
  late PaymentHandler _paymentHandler;

  PaymentImpl({required paymentHandler}) : _paymentHandler = paymentHandler;

  @override
  Future<Null> initiatePay({required PayData payData}) async {
    return await _paymentHandler.initiatePay(payData: payData);
  }

  @override
  Future<ValidatedAccessRes> validateAccess(
      {required AccessValidate clientData}) async {
    return await _paymentHandler.validateAccess(clientData: clientData);
  }

  @override
  Future<ValidatedUserRes> validateUser(
      {required UserValidate userValidate}) async {
    return await _paymentHandler.validateUser(userValidate: userValidate);
  }
}
